<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');


// EXISTE EL SCRIPT cargas-camion-listado.php QUE ES GENERICO, Y PODRÍA INCLUIR TB LAS CARGASCERRADASPENDFIRMA, PERO NO LO USAMOS

$peticion='SGACargasCamion#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CARGASCERRADASPENDFIRMA#'.$fecha.";".$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$filtroFecha=$_GET['filtroFecha']; 

$comboFechaCarga=array();
$comboZonaCarga=array();
$comboDescripcion=array();

foreach($resultado as $item) {

	if(!in_array($item['FechaCarga'],$comboFechaCarga) && $item['FechaCarga']!='') $comboFechaCarga[]=$item['FechaCarga'];
	if(!in_array($item['ZonaCargaCamion'],$comboZonaCarga) && $item['ZonaCargaCamion']!='') $comboZonaCarga[]=$item['ZonaCargaCamion'];
	if(!in_array($item['NombreCarga'],$comboDescripcion) && $item['NombreCarga']!='') $comboDescripcion[]=$item['NombreCarga'];
	
}

asort($comboZonaCarga);
asort($comboDescripcion);

if(!$resultado[0]['Error']) {
	?>
    
    <p class="sinMargen">Nº carga:<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoNumCarga" /><input name="numCarga" type="text" class="campo campoOrdenPreparacion" id="numCarga" maxlength="14" style="left:5px;"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarNumCarga" style="position:absolute;right:5px;cursor:pointer;"/>
        </div>
    </p>
    
	
	<?php
	
	foreach($resultado as $orden) {
	
		$destinos=array();
		
		foreach(arreglaArrayPXMobileProxiumResult($orden['Destinos']) as $destino) {
		
			if(!in_array($destino['Destino'],$destinos)) $destinos[]=$destino['Destino'];
			
		}
		
		//7-3-2022 referencias cliente solicitado IGAN, viene del config
		if($referenciaClienteEnCarga) {
		
			$referenciasCliente=array();
			
			foreach(arreglaArrayPXMobileProxiumResult($orden['Destinos']) as $destino) {
				foreach(arreglaArrayPXMobileProxiumResult($destino['Detalle']) as $detalle) {
					if(!in_array($detalle['ReferenciaCliente'],$referenciasCliente) && $detalle['ReferenciaCliente']!='') $referenciasCliente[]=$detalle['ReferenciaCliente'];
				}
			}
			
		}
	
		?>
<table class="tablaFormateada formatoFicha fichaOrden clicable" carga="<?php echo $orden['NumCarga']; ?>" descripcion="<?php echo $orden['NombreCarga']; ?>" fechaCarga="<?php echo $orden['FechaCarga']; ?>" zonaCarga="<?php echo $orden['ZonaCargaCamion']; ?>">
        
        <tr>
        	<th colspan="2"><h2>Carga Nº <?php echo $orden['NumCarga']; ?></h2></th>
        </tr>
        <tr>
            <?php if($mostrarAgenciaTransporte) { ?>
            <td>Agencia transporte</td>
          <td><?php echo $orden['AgenciaTransporte']; ?></td>
			<?php } //ATENCION esto está en el config, no en parámetros ?>
		</tr>
        <tr>  
            <?php if($_SESSION['visibilidadZonaCarga']) { ?>
          <td>Zona carga</td>
          <td><?php echo $orden['ZonaCargaCamion']; ?></td>
			<?php } ?>
		</tr>
        <tr>  
          <td>Fecha</td>
          <td><?php echo fechaNacional($orden['FechaCarga']); ?></td>
		</tr>
        <tr>  
          <td>Hora
          </dd>
          
          <td><?php echo $orden['HoraCarga']; ?></td>
         </tr>
		<tr>
            <?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') { ?>
          <td>Destino</td>
          <td>
				<table class="subtabla sinformato" width="100%"  border="0" cellpadding="0" cellspacing="0">
				<?php foreach($destinos as $destino) { ?>
                	<tr><td valign="top"><?php echo $destino; ?></td></tr>
                <?php } ?>
                </table>          </td>
            <?php } ?>
        </tr>
		<tr>
          <td>Descripción</td>
          <td><?php echo $orden['NombreCarga']; ?></td>
        </tr>
		<tr>
            <?php if($referenciaClienteEnCarga) { ?>
          <td>Referencia cliente</td>
          <td>
            	<?php
				if(count($referenciasCliente)>1) {
					?>
                    <table class="subtabla sinformato" width="100%" border="0" cellpadding="0" cellspacing="0">
					<?php foreach($referenciasCliente as $referencia) { ?>
                        <tr><td valign="top"><?php echo $referencia; ?></td></tr>
                    <?php } ?>
                    </table>
                    <?php
				}
				else {
					echo $referenciasCliente[0];
				}
				?>          </td>
            <?php } ?>
        </tr>
		<tr>
          <td>Matrícula</td>
          <td><?php echo $orden['MatriculaTractora']; ?></td>
        </tr>
		<tr>
          <td>Nº de órdenes</td>
          <td><?php echo $orden['NumOrdenesT']; ?></td>
        </tr>
        <?php if($_SESSION['parametrosSGA']['GestionPackingList']=='S' || $_SESSION['parametrosSGA']['PickingPacking']=='S') { ?>
        <tr>
        	<td>Nº de packing lists</td>
            <td><?php echo $orden['NumPackingListPdtes']; ?></td>
        </tr>
        <?php } ?>
</table>
	<?php } ?>
	
    
<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Descripción: 
                <select name="filtroDescripcion" id="filtroDescripcion" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboDescripcion as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
				<?php if($_SESSION['visibilidadZonaCarga']) { ?>
            	<td>
                Zona carga: 
                <select name="filtroZonaCarga" id="filtroZonaCarga" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboZonaCarga as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <?php } ?>
            	<td>
                Fecha carga: 
                <select name="filtroFecha" id="filtroFecha" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboFechaCarga as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo fechaNacional($item); ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;margin-top:-15px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;margin-top:-15px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;margin-top:-15px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
    
	<script>
	
	function repintarTabla() {
	
		$(".fichaOrden").children('td').css('background-color','#ffffff');
		$(".fichaOrden").children('td').css('border-bottom','');
		$(".fichaOrden").children('td').css('border-radius','');
		$(".fichaOrden").children('td').css('-mozborder-radius','');
		$(".fichaOrden").children('td').css('-webkit-border-radius','');
	
		var par=true;
		$(".fichaOrden").each(function(){
			if( $(this).is(":visible") ) {
				if(par) $(this).children('td').css('background-color','#ffffff');
				else $(this).children('td').css('background-color','#eeeeee');
				par = !par;
				ultimaFila=$(this);
			}
        });
		
		ultimaFila.children('td').css('border-bottom','1px solid #999999');
		ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
		ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
		ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
		ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
		ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
		ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		$('#numCarga').focus();
	
	}
	
	function aplicarFiltro(id) {
	
		if( $('#filtroFecha').val()=='' && $('#filtroZonaCarga').val()=='' && $('#filtroDescripcion').val()=='' ) {
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();
		}
		else  {
			$('#filtroApagado').hide();
			$('#quitarFiltro').show();
			$('#aplicarFiltro').hide();
		}
		
		$('.fichaOrden').each(function() {
		
			var coincidenciaFecha=false;
			var coincidenciaZonaCarga=false;
			var coincidenciaDescripcion=false;
			
			console.log($(this).attr('fechaCarga'));
			

			if( $('#filtroFecha').val()!='' && $(this).attr('fechaCarga')==$('#filtroFecha').val() ) coincidenciaFecha=true;
			else if( $('#filtroFecha').val()=='' ) coincidenciaFecha=true;
			
			if( $('#filtroZonaCarga').val()!='' && $(this).attr('zonaCarga')==$('#filtroZonaCarga').val() ) coincidenciaZonaCarga=true;
			else if( $('#filtroZonaCarga').val()=='' ) coincidenciaZonaCarga=true;
			
			if( $('#filtroDescripcion').val()!='' && $(this).attr('descripcion')==$('#filtroDescripcion').val() ) coincidenciaDescripcion=true;
			else if( $('#filtroDescripcion').val()=='' ) coincidenciaDescripcion=true;
			
			<?php if(!$_SESSION['visibilidadZonaCarga']) { ?>
			coincidenciaZonaCarga=true;
			<?php } ?>
			
			console.log(coincidenciaFecha);
			
			if( coincidenciaFecha && coincidenciaZonaCarga && coincidenciaDescripcion ) $(this).show();
			else $(this).hide();
		});
		
		repintarTabla();
	
	}
	
	$(document).ready(function() {
	
		<?php if($filtroFecha!='') { ?>
			$('#filtroFecha option[value="<?php echo $filtroFecha; ?>"]').prop('selected',true);
			aplicarFiltro();
		<?php } ?>
	
		$('.selectorFiltro').on("change",function() {
			aplicarFiltro();
		});
		
		$('#quitarFiltro').on("click",function() {
		
			$('#filtroFecha option:selected').removeProp('selected');
			$('#filtroZonaCarga option:selected').removeProp('selected');
			$('#filtroDescripcion option:selected').removeProp('selected');
			
			$('#filtroFecha option[value=""]').prop('selected',true);
			$('#filtroZonaCarga option[value=""]').prop('selected',true);
			$('#filtroDescripcion option[value=""]').prop('selected',true);
			
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();

			$(".fichaOrden").show();
			
			repintarTabla();
			
		});
	
		$('.fichaOrden').on("click",function(){
			$('#popupCargando').show();
			window.location='<?php echo $rutaHtml; ?>/carga-camion-cerrada-detalle.php?carga='+$(this).attr('carga')+'&filtroFecha='+$('#filtroFecha').val();	
		});
		
		//Esto se utiliza para algo???
		//$('.lineaCarga').on("click",function(){
		//	window.location='<?php echo $rutaHtml; ?>/carga-camion-cargar-camion.php?carga='+$(this).attr('carga')+'&filtroFecha='+$('#filtroFecha').val();	
		//});
		
		$(document).on('change','#numCarga',function(){
		
				var numCarga=$('#numCarga').val();
				var encontrada=false;
		
				if(numCarga!='') {
		
					$('#popupCargando').show();
					
					$('.fichaOrden').each(function() {
						if( $(this).attr('carga')==numCarga ) {
							encontrada=true
						}
					});
					
					
					if(encontrada) {
						window.location='<?php echo $rutaHtml; ?>/carga-camion-detalle.php?carga='+numCarga;
					}
					else {
						$('#popupCargando').hide();
						alert('Error: Carga no encontrada.',null,'error')
						.done(function(){
							$("#numCarga").val('');
							$("#numCarga").focus();
						});
					}
				}
				
			});
					
			$(document).on('click','#tecladoNumCarga',function(){
				$('#teclado').show();
				$('#valor').val( $('#numCarga').val() );
				$('#valorOculto').val( $('#numCarga').val() );
				$('#enter').attr('campoValor','numCarga');
				$('#enter').attr('forzarEnter','si');	
			});
					
			$(document).on('click','#borrarNumCarga',function(){
				$("#numCarga").val('');
				$("#numCarga").focus();		
			});
			
			$('#numCarga').focus();
		
	});
	</script>
	<?php
}
else {
	?>
	<p>No hay ninguna carga de camión pendiente.</p><?php
}
?>